<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.chinapnr.pos.pay.demo"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="21"
        android:targetSdkVersion="30" />
    <!-- 用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- 用于访问GPS定位 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- 用于获取运营商信息，用于支持提供运营商信息相关的接口 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- 用于访问wifi网络信息，wifi信息会用于进行网络定位 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 用于获取wifi的获取权限，wifi信息会用来进行网络定位 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" /> <!-- 用于访问网络，网络定位需要上网 -->
    <uses-permission android:name="android.permission.INTERNET" /> <!-- 用于读取手机当前的状态 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /> <!-- 用于写入缓存数据到扩展存储卡 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- 用于申请调用A-GPS模块 -->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" />
    <uses-permission android:name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" /> <!-- 在 屏幕最顶部显示addview -->
    <uses-permission android:name="android.permission.SYSTEM_OVERLAY_WINDOW" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.premission.ACCESS_FRONT_CAMERA" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <application
        android:name="com.chinapnr.pos.pay.demo.base.DemoApplication"
        android:allowBackup="true"
        android:appComponentFactory="androidx.core.app.CoreComponentFactory"
        android:debuggable="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:testOnly="true"
        android:theme="@style/Theme.PosPayDemo" >
        <activity
            android:name="com.chinapnr.pos.pay.demo.hw.PrintActivity"
            android:label="打印"
            android:theme="@style/Theme.HW" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.hw.ScanActivity"
            android:label="摄像头扫码"
            android:theme="@style/Theme.HW" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.data.DayBillActivity"
            android:label="日对账单"
            android:theme="@style/Theme.Data" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.data.QueryListActivity"
            android:label="查询列表"
            android:theme="@style/Theme.Data" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.data.QueryOrderActivity"
            android:label="查询明细"
            android:theme="@style/Theme.Data" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.AuthSaleVoidActivity"
            android:label="预授权完成撤销"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.AuthVoidActivity"
            android:label="预授权撤销"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.AuthSaleActivity"
            android:label="预授权完成"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.AuthActivity"
            android:label="预授权"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.FlowerChokActivity"
            android:label="花呗分期"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.RefundActivity"
            android:label="退款"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.VoidActivity"
            android:label="撤销"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.trans.PayActivity"
            android:label="消费"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.manager.ReprintActivity"
            android:label="补打印"
            android:theme="@style/Theme.Manager" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.manager.LoginActivity"
            android:label="操作员登录"
            android:theme="@style/Theme.Manager" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.HwActivity"
            android:label="硬件类"
            android:theme="@style/Theme.HW" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.DataActivity"
            android:label="数据类"
            android:theme="@style/Theme.Data" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.TransActivity"
            android:label="支付类"
            android:theme="@style/Theme.Trans" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.ManagerActivity"
            android:label="管理类"
            android:theme="@style/Theme.Manager" />
        <activity
            android:name="com.chinapnr.pos.pay.demo.MainActivity"
            android:label="Demo" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.chinapnr.pos.ui.TransActivity"
            android:theme="@style/activityBgTranslucent" />
    </application>

</manifest>